[Dell Precision M6700] HDMI audio fails, HDMI/Displayport output has blank frame

Bug #1039397 reported by TienFu Chen on 2012-08-21
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
fglrx-installer-updates (Ubuntu)
Medium
Alberto Milone
Precise
Medium
Unassigned

Bug Description

fglrx version:8.960-0ubuntu1.1 is installed but the right-bottom corner shows "Unsupported hardware".
And the HDMI and displayport output successfully for once, afterward it fails.
HDMI audio fails too.

The following system is affected:
Dell Precision M6700(201205-11051,VA7-E5-C1)

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-23-generic 3.2.0-23.36
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: fglrx
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 2.0.1-0ubuntu5
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2182 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf7f30000 irq 46'
   Mixer name : 'IDT 92HD93BXX'
   Components : 'HDA:111d76df,1028053f,00100203'
   Controls : 19
   Simple ctrls : 10
Date: Tue Aug 21 03:02:09 2012
HibernationDevice: RESUME=UUID=cd45cb61-ee72-4ebc-a64a-bd04e1d233be
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: Dell Inc. Precision M6700
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=331c8297-d9e4-4b41-882a-9a436529b24b ro quiet splash initcall_debug vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic N/A
 linux-backports-modules-3.2.0-23-generic N/A
 linux-firmware 1.79
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/30/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X38
dmi.board.name: 01227A
dmi.board.vendor: Dell Inc.
dmi.board.version: X03
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrX38:bd05/30/2012:svnDellInc.:pnPrecisionM6700:pvr01:rvnDellInc.:rn01227A:rvrX03:cvnDellInc.:ct9:cvr:
dmi.product.name: Precision M6700
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

TienFu Chen (ctf) wrote :
Changed in linux (Ubuntu):
assignee: nobody → Anthony Wong (anthonywong)
Brad Figg (brad-figg) on 2012-08-21
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in fglrx-installer-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
no longer affects: linux (Ubuntu)

Hello Tim, or anyone else affected,

Accepted fglrx-installer-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:8.982-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
TienFu Chen (ctf) wrote :

Failed to Install fglrx-update 8.982-0ubuntu0.1_amd64.
Kernel is 3.2.0-31-generic #50-Ubuntu

jockey.log is attached.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:8.982-0ubuntu1

---------------
fglrx-installer-updates (2:8.982-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1039397).
  * debian/control:
    - Conflict with/replace/provide nvidia and fglrx. This will make
      sure that other binary drivers cannot be installed at the same
      time. This is required by the new restricted drivers UI.
  * debian/rules:
    - Make sure to call the "serverabi" phony target.
    - Hardcode the X ABI to 11.
 -- Alberto Milone <email address hidden> Mon, 10 Sep 2012 11:03:55 +0200

Changed in fglrx-installer-updates (Ubuntu):
status: In Progress → Fix Released
Clint Byrum (clint-fewbar) wrote :

Marking verification-failed based on comment #3. Somebody who understands X drivers better than me should review that jockey log and confirm.

tags: added: verification-failed
removed: verification-needed
TienFu Chen (ctf) on 2012-09-13
Changed in fglrx-installer-updates (Ubuntu):
status: Fix Released → Confirmed
Christopher (soft-kristal) wrote :

Is there a version of fglrx-installer-updates for Quantal? fglrx-updates has been stuck in my updates for weeks.

The jockey.log from comment #3 contains this error:

| Error! Application of patch fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch failed.

I had the same error with fglrx-updates 2:8.982-0ubuntu0.1.

Please see my first comment and workaround on bug #1022898.

Anthony Wong (anthonywong) wrote :
Changed in fglrx-installer-updates (Ubuntu):
status: Confirmed → Incomplete
Ara Pulido (ara) on 2013-01-17
tags: added: blocks-hwcert-enablement
tags: added: verification-needed
removed: verification-failed
Steve Langasek (vorlon) on 2013-01-26
Changed in fglrx-installer-updates (Ubuntu Precise):
status: New → Fix Committed
importance: Undecided → Medium
Steve Langasek (vorlon) wrote :

Presuming fixed in the development release based on the upload history. A failure to build the SRU version of the package in precise should not be taken as evidence that the bug is outstanding in raring. Please reopen the raring task only if you can confirm that the bug is still present with the raring version of the package.

The jockey log error shown here is bug #1048142, which was fixed in the subsequent upload of fglrx-installer-updates 2:9.000-0ubuntu0.1 to precise-proposed. Since the problem that was blocking verification has been resolved, this particular bug is purported to be fixed by the new upstream release itself, and the other bugs addressed by this SRU have been verified, I don't consider this bug a blocker for promotion to precise-updates. If this problem persists after upgrade, please reopen the bug report.

Changed in fglrx-installer-updates (Ubuntu):
status: Incomplete → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:9.000-0ubuntu0.1

---------------
fglrx-installer-updates (2:9.000-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1032672, LP: #1022898).
  * debian/dkms.conf.in:
    - Do not apply any kernel patch (LP: #1048142)
  * debian/rules:
    - Make it possible to set the xserver ABIs in debian/substvars.
    - Make sure that all binaries in /usr/bin are executable.
    - Correct the path to Qt libraries on i386.
  * Merge fixes from the upstream installer:
    - Fix openCL issues running x86 binaries on x86_64.
    - Make sure that dh_shlibdeps doesn't complain about missing qt
      libraries.
  * Switch to dpkg-source 3.0 (quilt) format (as it's not
    a native package).
 -- Alberto Milone <email address hidden> Wed, 17 Oct 2012 07:55:03 +0200

Changed in fglrx-installer-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
TienFu Chen (ctf) wrote :

Confirmed bug fixed with fglrx-installer-updates (2:9.000-0ubuntu0.1) in precise-proposed, tried on 201205-11051.

tags: added: cid201205-11051
Po-Hsu Lin (cypressyew) on 2013-05-29
tags: added: 201205-11051 taipei-lab
removed: cid201205-11051
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers